/*------------------------------------------------*/
/* 44http/connection-inet.c                       */
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <stdbool.h>
#include <string.h>
#include <stdio.h>
#include <errno.h>
#include <unistd.h>
#include "connection.h"

descriptors
connectClientToServer (const char *CLIENT_SERVER_IPv4,
		       const int CLIENT_SERVER_PORT)
{
  struct sockaddr_in address;
  int sockfd;
  int ret;
  descriptors fd = { -1, -1 };

  sockfd = socket (AF_INET, SOCK_STREAM, 0);
  if (sockfd < 0)
    {
      perror ("socket");
      return fd;
    }

  memset (&address, 0, sizeof (address));
  address.sin_family = AF_INET;
  address.sin_port = htons (CLIENT_SERVER_PORT);
  if (inet_aton (CLIENT_SERVER_IPv4, &(address.sin_addr)) == 0)
    {
      perror ("inet_aton");
      return fd;
    }
  ret = connect (sockfd, (struct sockaddr *) &address, sizeof (address));
  if (ret < 0)
    perror ("connect");
  fd.r = fd.w = sockfd;

  return fd;
}

void
disconnectClientFromServer (descriptors * fd)
{
  if (close (fd->r) < 0)
    {
      perror ("close r");
    }
}

/*------------------------------------------------*/
