/* Copyright (c) 2004 Petr Bilek
   Tento program je volne programove vybaveni; muzete jej sirit a modifikovat
podle ustanoveni Obecne verejne license GNU, vydavane FreeSoftware Foundation.
Na tento program se nevztahuji ZADNE ZARUKY; neposkytuji se ani odvozene zaruky
PRODEJNSTI anebo VHODNOSTI PRO URCITY UCEL. */
/* soubor kontrola_obsahu_testu.c */

#include <string.h>
#include "../definice.h"
#include "../struktury.h"
#include "../lib.h"
#include "chlib.h"
int zkontroluj_test (short int t, type_informace * info);

int
kontrola_obsahu_testu ()
{
  short int t;
  type_informace info;
  printf ("\nKONTROLA OBSAHU TESTU\n");


  for (t = 1; t <= TEST; t++)
    {
      if (nacti_info (t, &info, jmeno_info_testu ()))
	{
	  fprintf (stderr, "Nelze nacist informace pro TEST %i\n", t);
	  return 1;
	}
      if (zkontroluj_test (t, &info))
	return 1;
    }
  return 0;
}

int
zkontroluj_test (short int t, type_informace * info)
{
  FILE *soubor;
  short int odstavcu, radku, mezernik;
  char radek[RADEK];

  if ((soubor = fopen (jmeno_testuXX (t), "rt")) == NULL)
    {
      fprintf (stderr, "Nelze otevrit soubor %s\n", jmeno_testuXX (t));
      return 1;
    }
  odstavcu = radku = mezernik = 0;
  while (!nacti_radek (radek, sizeof (radek), soubor))
    {
      if (!strncmp (radek, "#konec", 6) || !strncmp (radek, "#!konec", 7))
	{
	  (odstavcu) = 1;
	  if (!strncmp (radek, "#!", 2))
	    mezernik = 0;
	  else
	    mezernik = 1;


	  break;
	}
      radku++;
      if (!obsahuje_vse (info->pismena, radek, 1))
	{
	  fprintf (stderr, "TEST %i: radek %i obsahuje neznamy znak"
		   " ze znaku:\n{%s}\n", t, radku, info->pismena);
	}
      if (obsahuje_mezery (radek))
	{
	  fprintf (stderr,
		   "TEST %i: radek %i obsahuje nepripustne mezery\n", t,
		   radku);
	}
    }
  if (odstavcu == 0)
    {
      fprintf (stderr, "Nenasel jsem #konec (nebo #!konec) v TESTU %i\n", t);
      return 1;
    }
  if ((mezernik && !info->mezernik) || (!mezernik && info->mezernik))
    {
      fprintf (stderr, "TEST %i: v INFO je oznacen mezernik %i, ale "
	       "v testu je konec %s\n", t, info->mezernik, radek);
    }
  return 0;
}
