#ifdef PSANIPROFI
static type_informace info_lekce[MAXLEKCE], info_test[MAXTEST];
static char temp[255];

int nacti_info_vsecky_lekce()
{
    FILE *soubor;
    unsigned int i;

    for (i = 0; i < MAXLEKCE; i++) {
        /* toto musi byt nazacatku (pred prvnim return) */
        info_lekce[i].test = 0; /* je to lekce */
        info_lekce[i].komentar = (char *) malloc(SIZEKOMENTAR);
        if (info_lekce[i].komentar == NULL)
            info_lekce[i].komentar = temp;
        info_lekce[i].klavesy = (char *) malloc(SIZEKLAVESY);
        if (info_lekce[i].klavesy == NULL)
            info_lekce[i].klavesy = temp;
        info_lekce[i].pismena = (char *) malloc(SIZEPISMENA);
        if (info_lekce[i].pismena == NULL)
            info_lekce[i].pismena = temp;
        info_lekce[i].nove_pismena = (char *) malloc(SIZENOVEPISMENA);
        if (info_lekce[i].nove_pismena == NULL)
            info_lekce[i].nove_pismena = temp;
        info_lekce[i].zavislost_na = MAXTEST;
    }
    if ((soubor = fopen(jmeno_info_lekce(), "rt")) == NULL)
        return 1;

    do {
        if (!fscanf(soubor, "%255s", temp))
            return 1;
        if (strcmp("cislo:", temp))
            continue;
        if (!fscanf(soubor, "%4u", &i))
            return 1;
        if ((i > 0) && (i <= MAXLEKCE) && !feof(soubor)) {
            info_lekce[i - 1].cislo = i;
            if (nacti_info_jedno(soubor, &info_lekce[i - 1])) {
                fclose(soubor);
                return 1;
            }
            if ((info_lekce[i - 1].zavislost_na > MAXTEST) ||
                (info_lekce[i - 1].zavislost_na < 0))
                info_lekce[i - 1].zavislost_na = MAXTEST;
        }
    } while ((i < MAXLEKCE) && !feof(soubor));

    fclose(soubor);
    return 0;
}

int nacti_info_vsecky_test()
{
    FILE *soubor;
    unsigned int i;

    for (i = 0; i < MAXTEST; i++) {
        /* toto musi byt nazacatku (pred prvnim return) */
        info_test[i].test = 1;  /* je to test */
        info_test[i].komentar = (char *) malloc(SIZEKOMENTAR);
        if (info_test[i].komentar == NULL)
            info_lekce[i].komentar = temp;
        info_test[i].klavesy = (char *) malloc(SIZEKLAVESY);
        if (info_test[i].klavesy == NULL)
            info_lekce[i].klavesy = temp;
        info_test[i].pismena = (char *) malloc(SIZEPISMENA);
        if (info_test[i].pismena == NULL)
            info_test[i].pismena = temp;
        info_test[i].nove_pismena = (char *) malloc(SIZENOVEPISMENA);
        if (info_test[i].nove_pismena == NULL)
            info_lekce[i].nove_pismena = temp;
        info_test[i].zavislost_na = MAXLEKCE;
    }
    if ((soubor = fopen(jmeno_info_testu(), "rt")) == NULL)
        return 1;

    do {
        if (!fscanf(soubor, "%255s", temp))
            return 1;
        if (strcmp("cislo:", temp))
            continue;
        if (!fscanf(soubor, "%4u", &i))
            return 1;
        if ((i > 0) && (i <= MAXTEST) && !feof(soubor)) {
            info_test[i - 1].cislo = i;
            if (nacti_info_jedno(soubor, &info_test[i - 1])) {
                fclose(soubor);
                return 1;
            }
            if ((info_test[i - 1].zavislost_na > MAXLEKCE) ||
                (info_test[i - 1].zavislost_na < 0))
                info_test[i - 1].zavislost_na = MAXLEKCE;
        }
    } while ((i < MAXTEST) && !feof(soubor));

    fclose(soubor);
    return 0;
}

int nacti_info_vsecky()
{
    printf("Nacitam informace o lekcich a testech.\n");
    if (nacti_info_vsecky_lekce()) {
        fprintf(stderr, "Nelze nacist informace o lekcich!\n");
        return 1;
    }
    if (nacti_info_vsecky_test()) {
        fprintf(stderr, "Nelze nacist informace o testech!\n");
        return 1;
    }
    return 0;
}

void smaz_info_vsecky()
{
    unsigned int i;
    for (i = 0; i < MAXLEKCE; i++) {
        free(info_lekce[i].komentar);
        free(info_lekce[i].klavesy);
        free(info_lekce[i].pismena);
        free(info_lekce[i].nove_pismena);
    }
    for (i = 0; i < MAXTEST; i++) {
        free(info_test[i].komentar);
        free(info_test[i].klavesy);
        free(info_test[i].pismena);
        free(info_test[i].nove_pismena);
    }
}
#endif
