/* Copyright (c) 2002 Petr Bilek
   Tento kod je volne programove vybaveni; muzete jej sirit a modifikovat
podle ustanoveni Obecne verejne license GNU, vydavane FreeSoftware Foundation.
Na tento program se nevztahuji ZADNE ZARUKY; neposkytuji se ani odvozene zaruky
PRODEJNSTI anebo VHODNOSTI PRO URCITY UCEL. */
/* soubor ulozslozku.c */

#include <stdio.h>
#include <errno.h>
#include "struktury.h"
#include "lib.h"

int
uloz_soubor (void *data, size_t size, char *jmeno)
{
  FILE *soubor;

  if ((soubor = fopen (jmeno, "w+b")) == NULL)
    {
      if (global_get (g_warning) == g_w_ano)
	{
	  perror ("uloz_soubor (1)");
	  fprintf (stderr, "Zmny se nepodailo uloit do %s !\n", jmeno);
	}
      return 1;
    }

  if ((fwrite (data, size, 1, soubor) != 1) || fclose (soubor))
    {
      if (global_get (g_warning) == g_w_ano)
	{
	  perror ("uloz_soubor (2)");
	  fprintf (stderr, "Zmny se nepodailo uloit do %s !\n", jmeno);
	}
      return 1;
    }
  return 0;
}

int
uloz_slozku (type_uziv * slozka)
{
  return uloz_soubor (slozka, sizeof (type_uziv), jmeno_souboru ());
}

int
uloz_nastaveni (type_nastaveni * nastaveni)
{
  return uloz_soubor (nastaveni, sizeof (type_nastaveni),
		      jmeno_souboru_nastaveni ());
}
