/* Copyright (c) 2004 Petr Bilek
   Tento kod je volne programove vybaveni; muzete jej sirit a modifikovat
podle ustanoveni Obecne verejne licenese GNU, vydavane FreeSoftware Foundation.
Na tento program se nevztahuji ZADNE ZARUKY; neposkytuji se ani odvozene zaruky
PRODEJNSTI anebo VHODNOSTI PRO URCITY UCEL. */
/* soubor vypis_info.c */

#include <unistd.h>
#include <stdlib.h>
#include "strukturyw.h"
#include "struktury.h"
#include "lib.h"
#include "libw.h"
#include "barvy.h"

void
vypis_info (type_informace informace, type_nastaveni * nastaveni)
{
  int i;
  char stemp[35];

  if (!informace.zavislost)	/* neni jeste mozno psat */
    wattron2 (sub_hlavni, COLOR_PAIR (COLOR_INFOLT_NEMOZNOPSAT));
  else
    wattron2 (sub_hlavni, COLOR_PAIR (COLOR_INFOLT_MOZNOPSAT));

  vymaz_okno (sub_hlavni);

  MVWPRINTW2 (sub_hlavni, 1, 1, "Mono pst:     %s",
	      informace.zavislost ? "Ano" : "Ne");
  MVWPRINTW2 (sub_hlavni, 2, 1, "Napsno:        %s",
	      informace.napsano ? "Ano" : "Ne");

  if (!informace.test)
    {
      MVWPRINTW2 (sub_hlavni, 1, 25, "Lekce         %i", informace.cislo);
    }
  else
    {
      mvwprintw2 (sub_hlavni, 1, 25, "Zbv pokus: ");
      wattron2 (sub_hlavni, A_BOLD);
      sprintf (stemp, "%i", POKUSU - informace.napsano);
      wprintw2 (sub_hlavni, stemp);
      wattroff2 (sub_hlavni, A_BOLD);
    }

  mvwprintw2 (sub_hlavni, 2, 25, "Ukonen du: <ENTREM> ");
  if (informace.mezernik)
    wprintw2 (sub_hlavni, "nebo <MEZERNKEM>");

  mvwprintw2 (sub_hlavni, 4, 1,
	      "ZNMKA:      1 - 2      2 - 3      3 - 4      4 - 5         5");
  mvwprintw2 (sub_hlavni, 5, 1, "% chyb:   ");

  for (i = 0; i < 4; i++)
    {
      sprintf (stemp, " %1.2f-%1.2f ",
	       (float) informace.presnost[i] / 100,
	       (float) informace.presnost[i + 1] / 100);
      wprintw2 (sub_hlavni, stemp);
    }
  sprintf (stemp, " %1.2f a vce", (float) informace.presnost[4] / 100);
  wprintw2 (sub_hlavni, stemp);

  mvwprintw2 (sub_hlavni, 6, 1, "../min: ");

  for (i = 0; i < 4; i++)
    {
      sprintf (stemp, " %3i - %3i ", informace.rychlost[i],
	       informace.rychlost[i + 1]);
      wprintw2 (sub_hlavni, stemp);
    }

  sprintf (stemp, "  %3i a mn", informace.rychlost[4]);
  wprintw2 (sub_hlavni, stemp);

  vytiskni_pismena (8, 2, informace.klavesy, informace.pismena,
		    informace.nove_pismena, nastaveni->qwertz);

  wattron2 (sub_hlavni, COLOR_PAIR (COLOR_INFOLT_KOMENTAR));
  mvwprintw2 (sub_hlavni, 13, 2, informace.komentar);

  wattron2 (sub_hlavni, COLOR_PAIR (COLOR_INFOLT_HLAVNI));
  obnov_hlavni ();
  if (!informace.test)
    {
      mvwprintw2 (sub_hlavni, 0, 1, " <Tab> = npovda k lekci ");
    }
  else
    mvwprintw2 (sub_hlavni, 0, 1, " <Tab> = npovda k testu ");
}
